Summary:	Compiler cache
Summary(pl.UTF-8):	Przyspieszacz kompilowania
Summary(pt_BR.UTF-8):	Cache para compiladores C/C++
Name:		ccache
Version:	3.1.9
Release:	1
License:	GPL v3
Group:		Development/Tools
Source0:	http://samba.org/ftp/ccache/%{name}-%{version}.tar.bz2
# Source0-md5:	65f48376a91d3651d6527ca568858be8
Patch0:		%{name}-nohash_size_mtime.patch
URL:		http://ccache.samba.org/
BuildRequires:	automake
BuildRequires:	zlib-devel >= 1.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/%{name}

%description
ccache is a compiler cache. It acts as a caching pre-processor to
C/C++ compilers, using the -E compiler switch and a hash to detect
when a compilation can be satisfied from cache. This often results in
a 5 to 10 times speedup in common compilations.

%description -l pl.UTF-8
ccache działa jako cachujący preprocesor dla kompilatorów C/C++. Przy
użyciu opcji kompilatora -E oraz tablicy haszującej do wykrywania, czy
do kompilacji wystarczy zawartość cache. Daje to zazwyczaj
przyspieszenie kompilacji 5 do 10 razy.

%description -l pt_BR.UTF-8
ccache é um cache para compiladores. Ele funciona mantendo um cache de
pré-processamento para compiladores C/C++ utilizando-se do parâmetro
- -E e de um hash para detectar quando uma compilação pode ser
  reaproveitada de um cache armazenado em disco. O ganho de tempo em
  compilações comuns pode chegar a uma escala de até 10 vezes em relação
  ao tempo normal.

%package wrapper
Summary:	Symlinks for c++/cc/g++/gcc
Summary(pl.UTF-8):	Dowiązania symboliczne do c++/cc/g++/gcc
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description wrapper
This package contains the softlinks to ccache for each compiler.

%description wrapper -l pl.UTF-8
Ten pakiet zawiera dowiązania symboliczne do ccache dla każdego
kompilatora.

%prep
%setup -q
%patch0 -p1

# Make sure system zlib is used
%{__rm} -r zlib

%build
cp -f /usr/share/automake/config.* .
CPPFLAGS="%{rpmcppflags} -D_FILE_OFFSET_BITS=64"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/env.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for X in CCACHE_DIR CCACHE_TEMPDIR CCACHE_LOGFILE CCACHE_PATH CCACHE_CC CCACHE_PREFIX \
	CCACHE_DISABLE CCACHE_READONLY CCACHE_CPP2 CCACHE_NOSTATS CCACHE_NLEVELS \
	CCACHE_HARDLINK CCACHE_RECACHE CCACHE_UMASK CCACHE_HASHDIR CCACHE_UNIFY \
	CCACHE_EXTENSION CCACHE_NOHASH_SIZE_MTIME
do
	echo "#${X}=\"\"" > $RPM_BUILD_ROOT/etc/env.d/${X}
done

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/profile.d}
for cc in cc c++ g++ gcc %{_target_cpu}-pld-linux-gcc %{_target_cpu}-pld-linux-g++; do
	ln -s ../../bin/%{name} $RPM_BUILD_ROOT%{_libdir}/$cc
done
echo 'export PATH=%{_libdir}:$PATH' > \
	$RPM_BUILD_ROOT/etc/profile.d/%{name}.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt MANUAL.txt NEWS.txt README.txt
%attr(755,root,root) %{_bindir}/ccache
%{_mandir}/man1/ccache.1.*
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/CCACHE_*

%files wrapper
%defattr(644,root,root,755)
%attr(755,root,root) /etc/profile.d/%{name}.sh
%dir %{_libdir}
%attr(755,root,root) %{_libdir}/*
%changelog
* Thu Jan 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ccache.git;a=log;h=master

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> 75e6ea3
up to ccache 3.1.9

* Wed Jan 02 2013 Elan Ruusamäe <glen@delfi.ee> 6b963ef
better LFS fix

* Wed Jan 02 2013 Elan Ruusamäe <glen@delfi.ee> ba18ad0
ensure system zlib is used

* Wed Jan 02 2013 Elan Ruusamäe <glen@delfi.ee> 0854046
enable large file access for ccache

* Tue Sep 04 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9ad23f9
- updated to 3.1.8
- slightly more verbose files section

* Sun Jan 08 2012 Adam Gołębiowski <adamg@pld-linux.org> dbada6c
- updated to 3.1.7

* Tue Aug 23 2011 marti <marti@pld-linux.org> 70a0b61
- up to 3.1.6

* Wed Jun 01 2011 marti <marti@pld-linux.org> 858ee2a
- up to 3.1.5
- Fixed a minor memory leak.

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> e6282d7
- unified %clean section

* Tue Jan 18 2011 Jan Palus <jan.palus@gmail.com> 2da33eb
- updated to: 3.1.4

* Mon Nov 29 2010 Adam Gołębiowski <adamg@pld-linux.org> b89c0ee
- updated to 3.1.3

* Sat Nov 27 2010 Adam Gołębiowski <adamg@pld-linux.org> a7fd058
- updated to 3.1.2

* Thu Nov 11 2010 Adam Gołębiowski <adamg@pld-linux.org> bb2da46
- updated to 3.1.1

* Sat Oct 02 2010 Adam Gołębiowski <adamg@pld-linux.org> 5b5229a
- gpl v3, updated nohash_size_mtime patch; release 2

* Sat Oct 02 2010 Adam Gołębiowski <adamg@pld-linux.org> 79e0ddf
- updated to 3.1

* Sat Oct 02 2010 Adam Gołębiowski <adamg@pld-linux.org> e0f9306
- obsolete

* Sat Oct 02 2010 Adam Gołębiowski <adamg@pld-linux.org> f286d62
- updated to 3.1
- -utimes.patch idea merged in 3.0
- more %doc files

* Sun Aug 17 2008 Adam Gołębiowski <adamg@pld-linux.org> c8b7b6b
- release 2

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 4fc079d
- s/enviroment/environment/

* Sat Mar 17 2007 Elan Ruusamäe <glen@pld-linux.org> bcdf019
- add -utimes.patch from gentoo

